Bug 1278953 - SELinux is preventing systemd-logind from 'destroy' accesses on the shared memory Unknown.
SELinux is preventing systemd-logind from 'destroy' accesses on the shared me...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ba1aa9a9f4bde10896b0e7c9ff1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 15:25 EST by Neil
Modified: 2015-11-26 15:57 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-155.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 15:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2015-11-06 15:25:16 EST
Description of problem:
SELinux is preventing systemd-logind from 'destroy' accesses on the shared memory Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, systemd-logind debería permitir acceso destroy sobre  Unknown shm.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ shm ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-05 09:15:26 COT
Last Seen                     2015-11-05 09:15:26 COT
Local ID                      5d5a6930-a7ea-4467-b22a-0bf287e20da6

Raw Audit Messages
type=AVC msg=audit(1446732926.466:490): avc:  denied  { destroy } for  pid=662 comm="systemd-logind" key=0  scontext=system_u:system_r:systemd_logind_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=shm permissive=0


Hash: systemd-logind,systemd_logind_t,unconfined_t,shm,destroy


Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1211852
Comment 1 Fedora Update System 2015-11-20 08:15:41 EST
selinux-policy-3.13.1-155.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 2 Fedora Update System 2015-11-22 09:25:52 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 3 Fedora Update System 2015-11-26 15:57:10 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.